Skip to main content
POST
/
users
curl --request POST \
  --url https://{host}/users \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "john.doe@example.com",
  "firstName": "John",
  "lastName": "Doe",
  "dateOfBirth": "1990-05-15",
  "residencyCountry": "GR",
  "language": "en"
}
'
{
  "id": "64f0c51e7fb3fc001234a001",
  "email": "john.doe@example.com",
  "firstName": "John",
  "lastName": "Doe",
  "dateOfBirth": "1990-05-15",
  "residencyCountry": "GR",
  "portfolios": [],
  "createdAt": "2024-10-03T10:30:00Z",
  "updatedAt": "2024-10-03T10:30:00Z"
}

Authorizations

Authorization
string
header
required

Auth0-issued access token that includes the scopes listed for the endpoint.

Body

application/json
email
string<email>
required

User's email address (must be unique)

Example:

"john.doe@example.com"

firstName
string
required

User's first name

Required string length: 1 - 100
Example:

"John"

lastName
string
required

User's last name

Required string length: 1 - 100
Example:

"Doe"

dateOfBirth
string<date>
required

User's date of birth (YYYY-MM-DD)

Example:

"1990-05-15"

residencyCountry
string
required

Two-letter ISO country code for user's country of residence

Pattern: ^[A-Z]{2}$
Example:

"GR"

language
enum<string>

User's preferred language. Valid values are "en" (English) or "el" (Greek).

Available options:
en,
el
Example:

"en"

address
object

User's residential address. When provided, line1, city, postalCode, and countryCode are required.

taxResidency
object

Tax residency information. When provided, countryCode, proofType, and value are required.

nationality
string

Two-letter ISO country code for user's nationality (citizenship)

Pattern: ^[A-Z]{2}$
Example:

"GR"

employmentInfo
object

Employment and source of wealth information (optional). When provided, incomeRangeId, employmentStatus, and sourcesOfWealth are required. Industry is required when employmentStatus is FullTime, PartTime, or SelfEmployed.

Response

User created successfully

id
string
required

MongoDB ObjectId of the created user

Pattern: ^[a-f0-9]{24}$
Example:

"64f0c51e7fb3fc001234a001"

email
string<email>
required
Example:

"john.doe@example.com"

portfolios
object[]
required

Array of user's portfolios with holdings

createdAt
string<date-time>
required

Timestamp when the user was created

Example:

"2024-10-03T10:30:00Z"

updatedAt
string<date-time>
required

Timestamp when the user was last updated

Example:

"2024-10-03T10:30:00Z"

firstName
string
Example:

"John"

lastName
string
Example:

"Doe"

dateOfBirth
string<date>
Example:

"1990-05-15"

residencyCountry
string
Example:

"GR"

language
enum<string>

User's preferred language. Valid values are "en" (English) or "el" (Greek).

Available options:
en,
el
Example:

"en"

address
object
taxResidency
object
nationalities
string[]

Array of two-letter ISO country codes for user's nationality (citizenship)

Pattern: ^[A-Z]{2}$
Example:
["GR"]
employmentInfo
object

Employment and source of wealth information (optional)